<?php

namespace App\Jobs;

// class AppUninstalledJob extends \Osiset\ShopifyApp\Messaging\Jobs\AppUninstalledJob
// {
// }


use Illuminate\Support\Facades\Log;
use Osiset\ShopifyApp\Messaging\Jobs\AppUninstalledJob as BaseAppUninstalledJob;
use App\Models\UserPage; 

class AppUninstalledJob extends BaseAppUninstalledJob
{
    // The handle method is where you process the job.
    public function handle()
    {
        // Log the uninstall event.
        Log::info('AppUninstalledJob1');
        $userPage = UserPage::where('user_id', 2)->first();
        $userPage->delete();
        // You can also call the parent handle method if needed.
        parent::handle();
    }
}
